Subject: Re: bug#10916: Using occur to list occurrencies of the symbol at point

From: Juri Linkov <[email-masked]>
Date: Thu, 01 Mar 2012 12:42:41 +0200

> I first expected C-u M-x occur to behave the same way, but instead it
> interprets the prefix argument as the amount of additional context to
> include in the output buffer. This is a feature I don't need very often.

`C-u M-x occur' doesn't interpret the prefix argument as the amount of
additional context.  `C-u M-x occur' collects strings matching regexp.
It is like grep command line argument `-o --only-matching' that prints
only the matched parts of a matching line, with each such part
on a separate output line.

> Or maybe there's already some emacs function which does this and does it
> better, which I'm not aware of...

Have you tried `M-x occur M-n RET'?